## ucar.netcdf
Class NetcdfServer

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  ucar.netcdf.NetcdfServer

All Implemented Interfaces:
  NetcdfService, Remote, Serializable

public class NetcdfServer
extends UnicastRemoteObject
implements NetcdfService

A UnicastRemoteObject implementation of NetcdfService.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` `NetcdfServer.Entry`

Field Summary
`(package private) static RMILogger` `logger_`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface ucar.netcdf.NetcdfService
`SVC_NAME`

Constructor Summary
`NetcdfServer(String[] exports, Registry registry)`

Method Summary
`(package private) void` `_release(String keyval)`
`static Registry` `checkRegistry(Registry regis, int tryagain)`
`void` `export(File ff)`
`void` `export(String path)`
`protected void` `finalize()`
`String[]` `list()` List the names of exported data sets.
`NetcdfRemoteProxy` `lookup(String dataSetName)` Connect to (open) a remote Netcdf dataSet by name.
`static void` `main(String[] args)`
`int` `ping()` Test if the service is alive.
`static void` `setLog(OutputStream out)`
`static Registry` `startRegistry()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### logger_

    static final RMILogger logger_

Constructor Detail

### NetcdfServer

    public NetcdfServer(String[] exports,
                        Registry registry)
                 throws RemoteException,
                        AlreadyBoundException

Method Detail

### setLog

    public static void setLog(OutputStream out)

### ping

    public int ping()
             throws RemoteException

  Description copied from interface: `NetcdfService`
  Test if the service is alive. Used by the automatic registration feature of the NetcdfServer implementation.

  Specified by:
    `ping` in interface `NetcdfService`
  Returns:
    0
  Throws:
    `RemoteException`

### lookup

    public NetcdfRemoteProxy lookup(String dataSetName)
                             throws RemoteException

  Description copied from interface: `NetcdfService`
  Connect to (open) a remote Netcdf dataSet by name. If the name is not the same as one obtainable from the list() opteration on this service, then this method will fail.

  Specified by:
    `lookup` in interface `NetcdfService`
  Parameters:
    `dataSetName` - String name of the remote Netcdf
  Returns:
    NetcdfRemoteProxy which can be used to create an instance of RemoteNetcdf.
  Throws:
    `RemoteException`

### list

    public String[] list()
                  throws RemoteException

  Description copied from interface: `NetcdfService`
  List the names of exported data sets.

  Specified by:
    `list` in interface `NetcdfService`
  Throws:
    `RemoteException`

### export

    public void export(File ff)

### export

    public void export(String path)

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### startRegistry

    public static Registry startRegistry()
                                  throws RemoteException

  Throws:
    `RemoteException`

### checkRegistry

    public static Registry checkRegistry(Registry regis,
                                         int tryagain)
                                  throws RemoteException

  Throws:
    `RemoteException`

### main

    public static void main(String[] args)

### _release

    void _release(String keyval)